package com.bonus.canteen.core.drp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class AndroidSupermarketOutDTO {
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("出库时间")
   private @NotNull(
   message = "出库时间不能为空 ^_^"
) LocalDateTime outDate;
   @ApiModelProperty("出库类型(1-领取出库,2-报损出库,3-退货出库,4-调拨出库,5-即入即出,6-超市出库)")
   private @NotNull(
   message = "出库类型不能为空 ^_^"
) Integer outType;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("订单id")
   private Long ordId;
   @ApiModelProperty("出库明细")
   private @Valid
   @Size(
   min = 1,
   message = "出库明细不能为空 ^_^"
) List<AndroidSupermarketOutDetailDTO> detailList;

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public LocalDateTime getOutDate() {
      return this.outDate;
   }

   public Integer getOutType() {
      return this.outType;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public List<AndroidSupermarketOutDetailDTO> getDetailList() {
      return this.detailList;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setOutDate(final LocalDateTime outDate) {
      this.outDate = outDate;
   }

   public void setOutType(final Integer outType) {
      this.outType = outType;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setDetailList(final List<AndroidSupermarketOutDetailDTO> detailList) {
      this.detailList = detailList;
   }

}
